import 'package:equatable/equatable.dart';

class AuthToken extends Equatable {
  final String accessToken;
  final String refreshToken;
  final DateTime expiresAt;
  
  const AuthToken({
    required this.accessToken,
    required this.refreshToken,
    required this.expiresAt,
  });
  
  factory AuthToken.fromJson(Map<String, dynamic> json) {
    return AuthToken(
      accessToken: json['access_token'],
      refreshToken: json['refresh_token'],
      expiresAt: DateTime.parse(json['expires_at']),
    );
  }
  
  bool get isExpired => DateTime.now().isAfter(expiresAt);
  
  @override
  List<Object> get props => [accessToken, refreshToken, expiresAt];
}
