import 'package:flutter/material.dart';
import 'package:material_symbols_icons/symbols.dart';
import 'package:kmobile/utils/theme/color/color_scheme.dart';
import 'package:flutter_gen/gen_l10n/app_localizations.dart';

class ColorDialog extends StatelessWidget {
  const ColorDialog({super.key});

  @override
  Widget build(BuildContext context) {
    return SimpleDialog(
      title: const Text('Select Theme'),
      children: <Widget>[
        SimpleDialogOption(
          onPressed: () {
            Navigator.pop(context, KMobileColorScheme.everforest);
          },
          child: ListTile(
            leading: const Icon(
              Symbols.circle,
              color: Colors.greenAccent,
              fill: 1.0,
            ),
            title: Text(AppLocalizations.of(context)!.everforest),
          ),
        ),
        SimpleDialogOption(
          onPressed: () {
            Navigator.pop(context, KMobileColorScheme.rosy);
          },
          child: ListTile(
            leading: const Icon(
              Symbols.circle,
              color: Colors.pinkAccent,
              fill: 1.0,
            ),
            title: Text(AppLocalizations.of(context)!.rosy),
          ),
        ),
        SimpleDialogOption(
          onPressed: () {
            Navigator.pop(context, KMobileColorScheme.skypeia);
          },
          child: ListTile(
            leading: const Icon(
              Symbols.circle,
              color: Colors.lightBlueAccent,
              fill: 1.0,
            ),
            title: Text(AppLocalizations.of(context)!.skypeia),
          ),
        ),
        SimpleDialogOption(
          onPressed: () {
            Navigator.pop(context, KMobileColorScheme.marigold);
          },
          child: ListTile(
            leading: const Icon(
              Symbols.circle,
              color: Colors.amberAccent,
              fill: 1.0,
            ),
            title: Text(AppLocalizations.of(context)!.marigold),
          ),
        ),
        // const Divider(height: 0),
      ],
    );
  }
}
