import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'preferences_state.dart';
import 'package:kmobile/utils/theme/color/color_scheme.dart';

class PreferencesCubit extends Cubit<PreferencesState> {
  PreferencesCubit()
      : super(PreferencesState(
          themeMode: ThemeMode.light,
          colorScheme: KMobileColorScheme.everforest,
          locale: const Locale.fromSubtags(languageCode: 'en'),
        ));

  void setThemeMode(ThemeMode mode) {
    emit(state.copyWith(themeMode: mode));
  }

  void setColorScheme(Map<ThemeMode, ColorScheme> colorScheme) {
    emit(state.copyWith(colorScheme: colorScheme));
  }

  void setLocale(Locale locale) {
    emit(state.copyWith(locale: locale));
  }
}
